summaryrefslogtreecommitdiffstats
path: root/perl/run-perl-tests
diff options
context:
space:
mode:
authorRichard Jones <rjones@redhat.com>2010-02-23 10:36:51 +0000
committerRichard Jones <rjones@redhat.com>2010-02-24 18:51:04 +0000
commitaa5d6c138b55e25994ac723e94f32b009366927c (patch)
tree7f44afd830cd788d9ff99a8ddb7881da083e5ef3 /perl/run-perl-tests
parentffd32d61d4fad969a6a0baec8c15774eac5ea2e2 (diff)
downloadhivex-aa5d6c138b55e25994ac723e94f32b009366927c.tar.gz
hivex-aa5d6c138b55e25994ac723e94f32b009366927c.tar.xz
hivex-aa5d6c138b55e25994ac723e94f32b009366927c.zip
Add build framework for OCaml, Perl, Python bindings.
(No bindings are actually built, this just adds the build, test and generator framework for them).
Diffstat (limited to 'perl/run-perl-tests')
-rwxr-xr-xperl/run-perl-tests21
1 files changed, 21 insertions, 0 deletions
diff --git a/perl/run-perl-tests b/perl/run-perl-tests
new file mode 100755
index 0000000..770df94
--- /dev/null
+++ b/perl/run-perl-tests
@@ -0,0 +1,21 @@
+#!/bin/sh -
+# hivex Perl bindings
+# Copyright (C) 2009-2010 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+set -e
+
+make -f Makefile-pl test "$@"